2

I want to install xcode on vmware image mac os x lion 10.7 .. I went to app store but it won't let me download because it's the latest version which not compatible with lion 10.7 .. I don't have an developer account .. So, is there any way to install an old xcode ?

5

You should be able to login to Downloads for Apple Developers with your Apple ID. From there, search for "Xcode 4." You should see "Xcode 4.6.3" at the top of the list. It includes the iOS 6.1 SDK and OS X 10.8 SDK. This is the last version of Xcode supported by OS X Lion (10.7.x) and was released on June 13, 2013.

2

You can get older versions of Xcode in the Developer Center Downloads section you can go through the pages of Xcode related downloads to find the one you're looking for. You may need to log in to access this page.

  • Thx bro for helping .. I did what you said and now i can browse all versions of xcode .. I have Mac OS X Lion 10.7 .. What version of xcode should i download .. ??? – Mohamed Shibo Dec 15 '14 at 16:10
  • I think version 4.6.3 is the latest compatible with Lion. – JWWalker Dec 15 '14 at 16:19
  • as i see in the dev page .. 4.3.3 is the latest ver of xcode for Mac OS X Lion 10.7 – Mohamed Shibo Dec 15 '14 at 16:26
  • 4.6.3 (from June 13, 2013) is the latest I found working on Lion 10.7.5 – setempler Nov 8 '15 at 15:22

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .